GNU patch sérülékenységek

CH azonosító

CH-12361

Angol cím

GNU patch vulnerabilities

Felfedezés dátuma

2015.06.23.

Súlyosság

Közepes

Érintett rendszerek

Linux
Ubuntu

Érintett verziók

Ubuntu 14.10
Ubuntu 14.04 LTS
Ubuntu 12.04 LTS

Összefoglaló

A GNU patch több sérülékenysége vált ismertté, ami az Ubuntu egyes kiadásait érinti.

Leírás

A GNU patch nem megfelelően kezeli a javítócsomagokat, Ubuntu 12.04 LTS esetében a javításokhoz tartozó elérési útvonalakat, az Ubuntu 14.04 LTS és 14.10 esetében pedig a git style patch file-okban található hivatkozásokat és a fájlok újranevezését. Illetve egy korábbi javítás sikertelen volt (CVE-2015-1196).

Egy támadó ezeket kihasználva, egy speciálisan szerkesztett patch file segítségével felülírhat tetszőleges állományt a programot elindító felhasználó jogosultsági szintjével vagy akár szolgáltatás megtagadást idézhet elő.

Megoldás

Segítség a javítócsomagok telepítéséhez:

https://wiki.ubuntu.com/Security/Upgrades